{ config, pkgs, ... }:

{

  home.file = {
    ".rsync-exlude" = {
      text = ''
        - Downloads
        - Games
        - Share-Cloud
        - Share-Priv
        - Share-SMB
        - Share-VM
        - Sync
        - VM-Image
        - Code Cache
        - cache*
        - Cache*
        - Cache_*
        - *_cache
        - *Cache
        - DawnGraphiteCache
        - log*
        - logs
        - tmp
        - Trash
        + .config
        - .config/syncthing
        - .config/unity3d
        - .config/ownCloud
        + .local
        - .local/state
        - .local/share/containers
        - .local/share/flatpak
        - .local/share/keyrings
        - .local/share/nomic.ai
        - .local/share/Steam
        + .jd2
        + .conkyrc
        - .*
        - *.LOG
        - LOG
        - *.old
      '';
    };
  };

} 
