{ config, pkgs, ... }:

{

  # Enable Steam and Gamemode
  nixpkgs.config = {
    allowUnfreePackages = [ "steam" "steam-original" "steam-runtime" "steam-run" ];
  };

  programs.gamemode.enable = true;
  hardware.steam-hardware.enable = true;
  programs.steam = {
    enable = true;
    gamescopeSession.enable = true;
    remotePlay.openFirewall = true;
    dedicatedServer.openFirewall = true;
  };

} 
