{ config, pkgs, ... }:

{

  virtualisation.docker.enable = true;
  users.users.zulumann.extraGroups = [ "docker" ];

  environment.systemPackages = with pkgs; [
    distrobox   # Wrapper around podman or docker to create and start containers
    boxbuddy    # An unofficial GUI for managing your Distroboxes
  ];

}
